%Produces the plots seen in the paper for the Cascaded Tanks Problem using
%the models produced from the fifth fold of CasTanksLSTM and
%CasTanks_GP_RK4Int + CasTank_GP_Bounds

%Results from CasTanks_GP_Bounds (including the bounds and the
%mean model than can be calculated in CasTanks_GP_RK4Int)
load('GP CasTanks Fifth Fold Results.mat') 
%Results from CasTanksLSTM (in addition to the true values for the fifth fold)
load('LSTM CasTanks Fifth Fold Results.mat') 

T=5501*4:0.4:7500*4;
T2=5501*4:4:7500*4;
%Set up confidence bounds to be plotted as shaded region
h1max = h1max(1:10:end);
h2max = h2max(1:10:end);
h1min = h1min(1:10:end);
h2min = h2min(1:10:end);
T2=[T2 T2(end:-1:1)];
h1conf = [h1max h1min(end:-1:1)];
h2conf = [h2max h2min(end:-1:1)];

%h1 plots
figure
plot(Time_5fold,True_h1_5fold,'ro','MarkerSize',2)
hold on
plot(Time_5fold,NN_h1_5fold,'k','LineWidth',1)
hold on
xlabel('Time (s)')
ylabel('h_1')
legend('Test Data','LSTM Model')

figure
p = fill(T2,h1conf,[0.5 0.5 0.5]);    
p.EdgeColor = 'none';
hold on
plot(Time_5fold,True_h1_5fold,'ro','MarkerSize',2)
hold on
plot(T,mh1(1,:),'b','LineWidth',1.5)
hold on
xlabel('Time (s)')
ylabel('h_1')
legend('GP Bounds','Test Data','GP Mean Prediction')

%h2 plots
figure
plot(Time_5fold,True_h2_5fold,'ro','MarkerSize',2)
hold on
plot(Time_5fold,NN_h2_5fold,'k','LineWidth',1)
hold on
xlabel('Time (s)')
ylabel('h_2')
legend('Test Data','LSTM Model')

figure
p = fill(T2,h2conf,[0.5 0.5 0.5]);    
p.EdgeColor = 'none';
hold on
plot(Time_5fold,True_h2_5fold,'ro','MarkerSize',2)
hold on
plot(T,mh1(2,:),'b','LineWidth',1.5)
hold on
xlabel('Time (s)')
ylabel('h_2')
legend('GP Bounds','Test Data','GP Mean Prediction')