%This code simply loads the SIR curves generated in SIR_GP_RK4Bounds that were
%selected to appear in the NeurIPS paper and plots them using shaded
%confidence intervals and custom marker sizes. The corresponding GRU plots
%were generated directly in the SIR_GRU script.

load('Ext Wavy SIR.mat')
T2=[Th1 Th1(end:-1:1)];
h1conf = [h1max h1min(end:-1:1)];
h2conf = [h2max h2min(end:-1:1)];

figure
p = fill(T2,h1conf,[0.5 0.5 0.5]);    
p.EdgeColor = 'none';
hold on
plot(test_t,test_I,'ro','MarkerSize',3.5)
hold on
plot(Th1,mh1(1,:),'b','LineWidth',1.5,'LineWidth',1.5)
hold on
xlabel('Time (Weeks)')
ylabel('Infected Individuals')
legend('GP Bounds','Test Data','GP Mean Model')
hold off

figure
p = fill(T2,h2conf,[0.5 0.5 0.5]);    
p.EdgeColor = 'none';
hold on
hold on
plot(test_t,test_R,'ro','MarkerSize',3.5)
hold on
plot(Th1,mh1(2,:),'b','LineWidth',1.5)
hold on
xlabel('Time (Weeks)')
ylabel('Recovered Individuals')
legend('GP Bounds','Test Data','GP Mean Model')
hold off

load('Less Wavy SIR.mat')
T2=[Th1 Th1(end:-1:1)];
h1conf = [h1max h1min(end:-1:1)];
h2conf = [h2max h2min(end:-1:1)];

figure
p = fill(T2,h1conf,[0.5 0.5 0.5]);    
p.EdgeColor = 'none';
hold on
plot(test_t,test_I,'ro','MarkerSize',3.5)
hold on
plot(Th1,mh1(1,:),'b','LineWidth',1.5)
hold on
xlabel('Time (Weeks)')
ylabel('Infected Individuals')
legend('GP Bounds','Test Data','GP Mean Model')
hold off

figure
p = fill(T2,h2conf,[0.5 0.5 0.5]);    
p.EdgeColor = 'none';
hold on
plot(test_t,test_R,'ro','MarkerSize',3.5)
hold on
plot(Th1,mh1(2,:),'b','LineWidth',1.5)
hold on
xlabel('Time (Weeks)')
ylabel('Recovered Individuals')
legend('GP Bounds','Test Data','GP Mean Model')
hold off

load('Ramp SIR.mat')
T2=[Th1 Th1(end:-1:1)];
h1conf = [h1max h1min(end:-1:1)];
h2conf = [h2max h2min(end:-1:1)];

figure
p = fill(T2,h1conf,[0.5 0.5 0.5]);    
p.EdgeColor = 'none';
hold on
plot(test_t,test_I,'ro','MarkerSize',3.5)
hold on
plot(Th1,mh1(1,:),'b','LineWidth',1.5)
hold on
xlabel('Time (Weeks)')
ylabel('Infected Individuals')
legend('GP Bounds','Test Data','GP Mean Model')
hold off

figure
p = fill(T2,h2conf,[0.5 0.5 0.5]);    
p.EdgeColor = 'none';
hold on
hold on
plot(test_t,test_R,'ro','MarkerSize',3.5)
hold on
plot(Th1,mh1(2,:),'b','LineWidth',1.5)
hold on
xlabel('Time (Weeks)')
ylabel('Recovered Individuals')
legend('GP Bounds','Test Data','GP Mean Model')
hold off