function dy = Toy_SIR_ODE(t,y,b,gamma)
%Base version of SIR curve generator for fixed b value.
%Curves should depend on the inputs b, gamma. t is not used in this version, is only
%included as an input so as to work with ODE solvers. Eqns come from the
%most basic form of the SIR model.
%y = [S;I;R]; dy = [dS/dt;dI/dt;dR/dt];
N = y(1) + y(2) + y(3);
dy = [-b*y(2)*y(1)/N;(b*y(2)*y(1)/N) - gamma*y(2); gamma*y(2)];
end