function dy = Toy_SIR_ODE_B(t,y,b_1,gamma,s,t_1,t_2)
%Version of SIR Curve Generation / Comparison for Ramp FF in b.
%Curves should depend on the inputs. s is the slope. t_1 is the time at which
%the ramp FF begins, t_2 is the time at which the FF ends. b_1 is the
%inital value of b, b_2 is the final value of b. Eqns otherwise identical
%to those in Toy_SIR_ODE
%y = [S;I;R]; dy = [dS/dt;dI/dt;dR/dt];
N = y(1) + y(2) + y(3);

b_2 = b_1+(t_2-t_1)*s;

if t<t_1
    dy = [-(b_1)*y(2)*y(1)/N;(b_1*y(2)*y(1)/N) - gamma*y(2); gamma*y(2)];
else
    if t<t_2
        dy = [-(b_1 + (t-t_1)*s)*y(2)*y(1)/N;((b_1 + (t-t_1)*s)*y(2)*y(1)/N) - gamma*y(2); gamma*y(2)];
    else
        dy = [-(b_2)*y(2)*y(1)/N;(b_2*y(2)*y(1)/N) - gamma*y(2); gamma*y(2)];
    end
end