function dy = Toy_SIR_ODE_sin(t,y,b_i,gamma,t_1,period,amp)
%Curves should depend on the inputs beta, gamma. t_1 is the time at which
%the ramp FF begins. Period and amp are the period and amplitude of the
%sinusoidal function. b_i is the value of b the sin function is centered
%at. Eqns otherwise identical to those in Toy_SIR_ODE
%y = [S;I;R]; dy = [dS/dt;dI/dt;dR/dt];
N = y(1) + y(2) + y(3);
if t<t_1
    dy = [-(b_i)*y(2)*y(1)/N;(b_i*y(2)*y(1)/N) - gamma*y(2); gamma*y(2)];
else
    dy = [-(b_i + amp*sin((t-t_1)*2*pi()/period))*y(2)*y(1)/N;((b_i + amp*sin((t-t_1)*2*pi()/period))*y(2)*y(1)/N) - gamma*y(2); gamma*y(2)];
end