function norm = normalize(v,minim,maxim)
%A 0 to 1 normalization function. v is a vector of the data to be
%normalized. minim and maxim are the minimum and maximum values to normalize over.
%If v is the only input the function uses the minimum and
%maximum values of v as the global minimum and maximum values to normalize over.
if nargin < 3
    maxim = max(v);
    minim = min(v);
end
if minim > min(v)
    minim = min(v);
end
if maxim < max(v)
    maxim = max(v);
end

norm = zeros(length(v),1);

for i=1:length(v)
    norm(i) = (v(i) - minim)/(maxim - minim);
end
end